%define		pypi_name mutagen

Summary:	Audio tag tools
Name:		python-mutagen
Version:	1.45.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Sound
URL:		https://mutagen.readthedocs.io/
Source0:	%{pypi_name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	locales-en

%description
Mutagen is an audio metadata tag reader and writer implemented in pure Python 3.
It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, and FLAC, and
writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

The goals are (in rough order of importance):
    * Read as many files as possible
    * Compatibility with as many other tag readers and editors as possible
    * Compliance with the relevant specifications
    * Written in Pythonic Python, with a Pythonic API
    * Unit and regression test suite
    * Provide access to all features of the supported formats
    * Easily extensible 

%package -n python3-%{pypi_name}
Summary:        Audio tag tools
Group:		Sound
BuildRequires:	python3-devel
BuildRequires:	python3-flake8
#BuildRequires:	python3-hypothesis
Obsoletes:	mutagen
Provides:	mutagen = %{version}-%{release}

%description -n python3-%{pypi_name}
Mutagen is an audio metadata tag reader and writer implemented in pure Python 3.
It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4, APEv2, and FLAC, and
writing ID3v1.1, ID3v2.4, APEv2, and FLAC.

The goals are (in rough order of importance):
    * Read as many files as possible
    * Compatibility with as many other tag readers and editors as possible
    * Compliance with the relevant specifications
    * Written in Pythonic Python, with a Pythonic API
    * Unit and regression test suite
    * Provide access to all features of the supported formats
    * Easily extensible

This is the Python 3 package.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}


for bin in mid3cp mid3iconv mid3v2 moggsplit mutagen-inspect mutagen-pony; do
  mv %{buildroot}%{_bindir}/${bin} %{buildroot}%{_bindir}/${bin}-3
done

for man in mid3cp mid3iconv mid3v2 moggsplit mutagen-inspect mutagen-pony; do
  mv %{buildroot}%{_mandir}/man1/${man}.1 %{buildroot}%{_mandir}/man1/${man}-3.1
done

%files -n python3-%{pypi_name}
%doc NEWS README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-*.egg-info
%{_bindir}/*-3
%{_mandir}/man1/*-3.1*

%changelog
* Wed Mar 16 2022 TerryN <terryn94 at gmail.com> 1.45.1-3pclos2022
- update and rebuild for python 3.10

* Wed Feb 20 2019 tex - 1.42.0-2pclos2019
- rebuild against updates

* Thu Feb 14 2019 tex 1.42.0-1pclos2019
- update
